REST API›Enterprise›Tax

GET

Get the latest text and version number of a legal disclosure and agreement for a given agreement ID. Display the copy in your application before submitting your end user's consent and attestation to BitGo.

Path Params

  • agreementId string enum required
    Identifier for the legal disclosure and agreement type (e.g., taxEDeliveryConsent)
    taxEDeliveryConsent

Responses

200
200

Response Body

object

Latest version number and content for a legal disclosure and agreement.
  • agreementId string enum required
    Identifier for the legal disclosure and agreement type (e.g., taxEDeliveryConsent)
    taxEDeliveryConsent
  • revision integer required
    Agreement version (revision) number

    >= 1

  • content object required
    Legal disclosure and agreement content payload
    content object
    • title string required
      Heading copy for the electronic delivery disclosure
    • description string required
      Summary description of electronic tax document delivery
    • disclosure string required
      Instructional consent disclosure copy
    • termsLinkText string required
      Label text for the electronic delivery terms link
    • options object required
      Selectable electronic vs. postal delivery option labels displayed alongside the disclosure.
      options object
      • confirmEDelivery string required
        Option label for consenting to electronic delivery
      • continueWithPostalDelivery string required
        Option label for opting into postal paper delivery
400
400

Response Body

object

  • error string required
401
401

Response Body

object

  • error string required
403
403

Response Body

object

  • error string required
404
404

Response Body

object

  • error string required
500
500

Response Body

object

  • error string required